# invoke rewrite engine
RewriteEngine On
RewriteBase /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/

Options -Indexes
<IfModule mod_negotiation.c>
	Options -MultiViews
</IfModule>

# Add a trailing slash (/) to a URL
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_URI} !\.[A-Za-z0-9]*$
RewriteRule .*[^/]$ %{REQUEST_URI}/ [L,R=301]

# Specific redirections
RewriteRule ^index\.html$ /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/ [L,R=301]
RewriteCond %{QUERY_STRING} ^force=load$
RewriteRule ^/?$ /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/force-load/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^no_redirect=true$
RewriteRule ^/?$ /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/no_redirect-true/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^s=\%7Bsearch_term\%7D$
RewriteRule ^/?$ /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/s-{search_term}/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^no_redirect=true$
RewriteRule ^discountpage1\.php$ /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/discountpage1_no_redirect-true/ [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^index\.php$ /scraping/files/live/konigmotorsport.com_jels.leoslot88_gmail.com_u1otzk7brc/index_php/ [L,R=301,QSD]

# Create pretty URLs
RewriteRule ^([^/]+)/$ $1.html [S=9]
RewriteRule ^([^/]+)/([^/]+)/$ $1/$2.html [S=8]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3.html [S=7]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4.html [S=6]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5.html [S=5]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6.html [S=4]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7.html [S=3]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7/$8.html [S=2]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7/$8/$9.html [S=1]
RewriteRule ^([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/([^/]+)/$ $1/$2/$3/$4/$5/$6/$7/$8/$9/$10.html
# End: Create pretty URLs

# Redirect all extensions to html
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.shtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.phtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.jhtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.htm$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.php$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.aspx$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.asp$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.jsp$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.apk$ $1.html [L,NC,R=301]
# End: Redirect all extensions to html
